Search documentation of phoenix_kit

# PhoenixKit.Storage.ProviderRegistry (phoenix_kit v1.6.19)

View Source

Registry for storage providers.

Maps provider types to their implementation modules.

# Summary

## Functions

all_providers()

Gets all providers as a map of provider type to module.

get_provider(provider)

Gets the provider module for a given provider type.

list_providers()

Lists all available provider types.

provider_supported?(provider)

Checks if a provider type is supported.

# Functions

# all_providers()

Gets all providers as a map of provider type to module.

# get_provider(provider)

Gets the provider module for a given provider type.

# list_providers()

Lists all available provider types.

# provider_supported?(provider)

Checks if a provider type is supported.